## freeipa 4.7.0~pre1+git20180411

=== debian/changelog ===
freeipa (4.7.0~pre1+git20180411-2ubuntu2) bionic; urgency=medium

  * server.postinst: Fix upgrade from earlier version.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Apr 2018 18:15:49 +0300

freeipa (4.7.0~pre1+git20180411-2ubuntu1) bionic; urgency=medium

  * tests/server-install: Fix the fake domain, single label domains are not
    supported anymore.
  * tests: If the server install fails, just dump the log and exit
    successfully.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Apr 2018 17:50:11 +0300

freeipa (4.7.0~pre1+git20180411-2) experimental; urgency=medium

  * fix-bind-ldap-so-path.diff: Dropped, the plugin uses non-MA path
    now, fix depends to match.
  * control: Add python-augeas to python-ipaclient depends. (LP: #1764615)
  * ldap-multiarch.diff: Replace hack-libarch.diff with a new patch to
    support more than x86. (LP: #1600634)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 23:47:32 +0300

freeipa (4.7.0~pre1+git20180411-1) experimental; urgency=medium

  * New upstream prerelease + git snapshot.
  * tests: Fix whitespace.
  * client.dirs: Add /var/lib/ipa-client/pki.
  * server.post*: Enable session, session_cookie apache modules.
  * control: Add sssd-dbus to server Depends.
  * fix-httpd-group.diff: Fix apache group for Debian.
  * control: Bump dependency on certmonger.
  * support-pam-mkhomedir.diff: Add support for enabling pam_mkhomedir.
    (LP: #1336869)
  * control: Add libsss-certmap-dev to build-depends.
  * control: Drop hardcoded libcurl3 dependency from client.
  * control*, rules: Add support for client-only build.
  * Fold admintools into the client package.
  * fix-bind-ldap-so-path.diff: Use multiarch path to bind/ldap.so.
  * fix-ipa-conf.diff: Dropped, upstream.
  * rules: Force building with python2.
  * server.install: Updated.
  * debian/.gitignore: Ignore d/control.
  * rules: If git is installed, revert po/ on clean.
  * server.dirs: Add missing directories, fix some permissions in
    postinst.
  * control.server: Bump dogtag dependencies to 10.6.0~.
  * control.server: Drop mod-nss from Depends, mod_ssl is used instead.
  * enable-mod-nss-during-setup.diff: Dropped, not needed anymore.
  * server.postinst/postrm: Enable/disable mod_ssl.
  * control: Bump 389-ds-base dependency.
  * rules: Modify python scripts to use python2.
  * fix-paths.diff: Add some paths to platform data.
  * hack-tomcat-race.diff: Restarting pki-tomcatd takes time, and renew_ca_cert
    does that several times in a row, so wait for 80s before starting migrating
    profiles to ldap to make sure the instance is up.
  * fix-apache-ssl-setup.diff: Fix mod_ssl setup.
  * hack-duplicate-cert-directive.diff: Delete a duplicate
    SSLCertificateFile directive until upstream is fixed.
  * server.postinst: Enable default-ssl site.
  * control: Depend on chrony instead of ntp.
  * fix-paths.diff: Add CHRONY_CONF.
  * python-ipaserver.install: Updated after dropping NTP.
  * fix-version.diff: Append +git to prerelease tag, don't require git.
  * pydist_overrides: Added.
  * rules: Update clean target.
  * control: Bump depends on bind9.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Apr 2018 14:01:56 +0300

freeipa (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * support-kdb-dal-7.0.diff: Dropped, upstream.
  * tests: Force hostname as 'autopkgtest' if the system didn't have
    one.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Feb 2018 17:27:41 +0200

freeipa (4.6.2-4) unstable; urgency=medium

  * client.postinst: Migrate from old nssdb only if it exists.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Jan 2018 17:42:08 +0200

freeipa (4.6.2-3) unstable; urgency=medium

  * tests: Add some debug info, and fail properly.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 29 Jan 2018 13:17:25 +0200

freeipa (4.6.2-2) unstable; urgency=medium

  * server.postinst: Fix output redirection.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 20 Jan 2018 21:33:26 +0200

freeipa (4.6.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstreamed patches:
      add-debian-platform.diff,
      ipa-kdb-support-dal-version-5-and-6.diff,
      purge-firefox-extension.diff,
      fix-ipa-otpd-install.diff,
      fix-ipa-otpd-service.diff,
      purge-firefox-extension.diff,
      prefix.patch,
      fix-kdcproxy-path.diff,
      fix-is-running.diff,
      fix-pkcs11-helper.diff,
      fix-dnssec-services.diff
    - Remove obsolete patches: fix-memcached.diff,
      fix-oddjobs.diff,
      fix-kdcproxy-paths.diff
    - Refresh rest of the patches
  * control et al: Memcached is not used anymore.
  * control, server.install: Depend on gssproxy.
  * control: Build-depend on python-jinja2, add CSR files to python-
    ipaclient.
  * *.install: Updated.
  * client.postinst: Fix update_ipa_nssdb import.
  * rules, autoreconf: Refactor the build to match current upstream,
    drop d/autoreconf.
  * local-options: Ignore some files not on tarballs.
  * rules: Migrate to dh_missing.
  * Drop server tmpfile, ship upstream one, and create ipaapi/kdcproxy
    users/groups on install and add www-data to ipaapi group.
  * control: Add python-sss to python-ipaserver depends.
  * rules: Disable building on a builddirectory, it's broken upstream
    for now.
  * control: Drop libcurl4-nss-dev from build-depends, bump libkrb5-dev
    build-dependency.
  * control: Bump dependency on bind9 and bind9-dyndb-ldap.
  * control: add libapache2-mod-lookup-identity to server dependencies,
    enable/disable it in postinst/postrm.
  * control: Depend on newer custodia, move dep on python-custodia to
    python-ipaserver.
  * control: Add python-sss to client depends.
  * Add support for krb 1.16. (Closes: #887814)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 20 Jan 2018 12:41:28 +0200

freeipa (4.4.4-4) unstable; urgency=medium

  [ Timo Aaltonen ]
  * fix-opendnssec-setup.diff: Use /usr/sbin prefix for ods binaries.

