=== debian/tests/control ===
Tests: server-install
Depends:
 @,
Restrictions:
 allow-stderr,
 isolation-container,
 needs-root,
