## freeipa 4.7.1

=== debian/changelog ===
freeipa (4.7.1-3) unstable; urgency=medium

  * control: Replace libsvrcore-dev build-dep with 389-ds-base-dev.
  * tests: Install only the packages which are used for testing.
  * rules: Don't run git on clean. (Closes: #912202)
  * control: Nodejs is not available on all archs, build server packages
    only where it is.
  * control: Add systemd to python-ipalib depends. (Closes: #851158)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Dec 2018 02:22:35 +0200

freeipa (4.7.1-2) unstable; urgency=medium

  * control: Change python-nose to -mock on python-ipatests Depends.
  * fix-oddjobd-conf.diff: Fix path to org.freeipa.server.conncheck.
  * server.postinst: Fix a typo.
  * fix-fontawesome-path.diff: Fix upgrade.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Oct 2018 14:30:44 +0300

freeipa (4.7.1-1) unstable; urgency=medium

  * New upstream release.
    - fix-replicainstall.diff dropped, not applicable anymore
    - ipa-httpd-pwdreader-force-fqdn.diff dropped, obsolete
    - refresh patches
    - server: drop ipa-replica-prepare
  * dont-migrate-to-authselect.diff We don't have authselect, so just
    return true when trying to migrate to it. (LP: #1793994)
  * control: Move client dependency on chrony to recommends. (Closes:
    #909803)
  * control: Build server on any arch again.
  * tests: Don't fail the tests, just dump the log if something goes
    wrong.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 Oct 2018 10:30:09 +0300

freeipa (4.7.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1772447, #1772450)
    - fix-version.diff: Dropped, not needed
    - hack-duplicate-cert-directive.diff: Dropped, fixed upstream
    - ldap-multiarch.diff: Dropped, fixed upstream
    - support-pam-mkhomedir.diff: Dropped, fixed upstream
    - fix-apache-ssl-setup.diff: Dropped, fixed upstream
    - fix-httpd-group.diff: Dropped, fixed upstream
    - fix-named-conf-template.diff: Dropped, fixed upstream
    - fix-paths.diff: Dropped, fixed upstream
    - refresh patches
  * tests/server-install: Fix the fake domain, single label domains are not
    supported anymore.
  * server.postinst: Fix upgrade from earlier version.
  * fix-fontawesome-path.diff: Fix the path to font-awesome. (LP:
    #1772921)
  * fix-krb5kdc-cert-path.diff: Apache can't access KDC certs, move them
    to /var/lib/ipa/certs. (LP: #1772447)
  * ipa-httpd-pwdreader-force-fqdn.diff: Make sure HOSTNAME is a FQDN. (LP:
    #1769485)
  * control: Add libjs-scriptaculous to server depends.
  * fix-gzip-path.diff: Fix path to gzip. (LP: #1778236)
  * control, rules: Switch rhino to nodejs for ui build.
  * d/s/local-options: Add some files to ignore.
  * control, copyright: Add node-uglify to build-depends, the embedded
    copy was removed.
  * control, fix-py3-lesscpy-name.diff: Add python3-lesscpy to build-
    depends, call the binary with the correct name.
  * control: Add python3-pkg-resources to build-depends.
  * client.install: Add new template.
  * control: Update vcs urls.
  * control: Mark priority as optional.
  * control, rules: Bump dh to 11.
  * control: Add adduser to server depends.
  * source/lintian-overrides: Updated.
  * control: Bump policy to 4.1.5.
  * control: Update maintainer list address.
  * control: Build the server only on archs where 389-ds-base is
    available.
  * control: Bump python-ldap build-dep to 3.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Sep 2018 14:10:34 +0300
