=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: freeipa
 Section: net
-Priority: extra
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  389-ds-base-dev (>= 1.3.7.9),
  check,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  dh-python,
- dh-systemd,
  gettext,
  krb5-user,
  libcmocka-dev,
@@ -20,18 +18,18 @@
  libnspr4-dev,
  libnss3-dev,
  libpopt-dev,
- librhino-java,
  libsasl2-dev,
  libssl-dev,
  libsss-idmap-dev,
  libsss-certmap-dev,
  libsss-nss-idmap-dev (>= 1.14.0),
- libsvrcore-dev,
  libtalloc-dev,
  libtevent-dev,
  libunistring-dev,
  libverto-dev,
  libxmlrpc-core-c3-dev (>= 1.33.06),
+ nodejs [amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x],
+ node-uglify,
  pki-base (>= 10.6.0~),
  python-all-dev,
  python-cryptography,
@@ -40,7 +38,7 @@
  python-gssapi,
  python-jinja2,
  python-kdcproxy,
- python-ldap (>= 2.4.15),
+ python-ldap (>= 3.1),
  python-lesscpy,
  python-libipa-hbac,
  python-libsss-nss-idmap,
@@ -57,13 +55,15 @@
  python-sss (>= 1.14.0),
  python-usb (>= 1.0.0~b2),
  python-yubico,
- rhino,
+ python3-lesscpy,
+ python3-pkg-resources,
  samba-dev,
  systemd,
- uuid-dev
-Standards-Version: 3.9.6
-Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/freeipa.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/freeipa.git
+ uuid-dev,
+ 389-ds-base-dev,
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/freeipa-team/freeipa.git
+Vcs-Browser: https://salsa.debian.org/freeipa-team/freeipa
 Homepage: http://www.freeipa.org
 
 Package: freeipa-admintools
@@ -91,7 +91,6 @@
 Depends:
  bind9utils,
  certmonger (>= 0.79.5-2),
- chrony,
  curl,
  dnsutils,
  freeipa-common (= ${source:Version}),
@@ -112,6 +111,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
+Recommends:
+ chrony,
 Suggests:
  libpam-krb5,
 Breaks: freeipa-admintools (<< 4.6.3-2~)
@@ -175,6 +176,7 @@
  python-six,
  python-usb (>= 1.0.0~b2),
  python-yubico,
+ systemd,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
@@ -187,12 +189,13 @@
  This Python module is used by other FreeIPA packages.
 
 Package: freeipa-server
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Breaks: freeipa-server-trust-ad (<< 4.3.0-1)
 Replaces: freeipa-server-trust-ad (<< 4.3.0-1)
 Depends:
  389-ds-base (>= 1.3.7.9),
  acl,
+ adduser,
  apache2,
  certmonger (>= 0.79.5-2),
  chrony,
@@ -213,6 +216,7 @@
  libapache2-mod-wsgi,
  libjs-dojo-core,
  libjs-jquery,
+ libjs-scriptaculous,
  libnss3-tools,
  libsasl2-modules-gssapi-mit,
  oddjob (>= 0.34.3-2),
@@ -262,7 +266,7 @@
  This package adds DNS integration with BIND 9.
 
 Package: freeipa-server-trust-ad
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Depends:
  freeipa-common (= ${source:Version}),
  freeipa-server (= ${binary:Version}),
@@ -343,7 +347,7 @@
  libnss3-tools,
  python-coverage,
  python-ipalib (>= ${source:Version}),
- python-nose,
+ python-mock,
  python-paramiko,
  python-paste,
  python-polib,
