=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ONLY_CLIENT=0
+# build server only where nodejs is available
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x))
+  ONLY_CLIENT=0
+else
+  ONLY_CLIENT=1
+endif
+
 DESTDIR=$(CURDIR)/debian/tmp
 
-JAVA_STACK_SIZE ?= 8m
-export JAVA_STACK_SIZE
 export PYTHON=python
 
 confflags = \
@@ -49,9 +53,6 @@
 
 override_dh_clean: gencontrol
 	dh_clean
-	if [ -f /usr/bin/git ]; then \
-	    git checkout -- po; \
-	fi
 	rm -f po/*.gmo po/Makefile.hack po/POTFILES.in po/ipa.pot po/stamp-po
 	rm -rf contrib/completion/ipa.bash_completion daemons/ipa-version.h \
 	       install/ui/src/libs/loader.js m4
@@ -100,11 +101,11 @@
 	dh_missing --fail-missing
 
 ifneq ($(ONLY_CLIENT), 1)
-override_dh_systemd_enable:
-	dh_systemd_enable -pfreeipa-server --no-enable ipa.service
-	dh_systemd_enable -pfreeipa-server --no-enable ipa-dnskeysyncd.service
-	dh_systemd_enable -pfreeipa-server --no-enable ipa-custodia.service
-	dh_systemd_enable -pfreeipa-server --no-enable ipa-ods-exporter.service
+override_dh_installsystemd:
+	dh_installsystemd -pfreeipa-server --no-enable ipa.service
+	dh_installsystemd -pfreeipa-server --no-enable ipa-dnskeysyncd.service
+	dh_installsystemd -pfreeipa-server --no-enable ipa-custodia.service
+	dh_installsystemd -pfreeipa-server --no-enable ipa-ods-exporter.service
 endif
 
 override_dh_fixperms:
@@ -117,5 +118,5 @@
 	fi
 
 %:
-	dh $@ --with autoreconf,python2,systemd
+	dh $@ --with python2
 #		--builddirectory=build
